Bug 163275 - [patch] lang/ocaml: install expunge script with right permissions
Summary: [patch] lang/ocaml: install expunge script with right permissions
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-14 09:20 UTC by jaapb
Modified: 2011-12-29 20:40 UTC (History)
0 users

See Also:


Attachments
file.diff (534 bytes, patch)
2011-12-14 09:20 UTC, jaapb
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jaapb 2011-12-14 09:20:03 UTC
Currently, the lang/ocaml port installs the /usr/local/lib/expunge file with 'cp'. However, it is a script, and this results in the wrong permissions. The attached patch replaces cp with ${BSD_INSTALL_SCRIPT}.

Fix: The attached file can be placed in the files directory of the port (as patch-Makefile), which should solve the problem.

Patch attached with submission follows:
How-To-Repeat: Install lang/ocaml and try to use expunge.
Comment 1 Edwin Groothuis freebsd_committer 2011-12-14 09:20:12 UTC
Maintainer of lang/ocaml,

Please note that PR ports/163275 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/163275

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-12-14 09:20:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Michael Scheidell freebsd_committer 2011-12-27 14:56:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

Michael: do you want these patches committed? 
Normal maintainer timeout has happened, let me know in the next couple of days, ok? commit? not commit? alternate patch?
Comment 4 dfilter service freebsd_committer 2011-12-29 20:33:40 UTC
scheidell    2011-12-29 20:33:27 UTC

  FreeBSD ports repository

  Modified files:
    lang/ocaml           Makefile 
  Added files:
    lang/ocaml/files     manfiles patch-Makefile 
  Removed files:
    lang/ocaml/files     man1 manlinks mann 
  Log:
  - Install expunge script with right permissions [1]
  - needed to take the MAN()!= out because it causes multiple background shells and can hurt INDEX performance [2]
  
  PR:             ports/163275 [1]
  Approved by:    gabor (mentor) [2]
  
  Revision  Changes    Path
  1.75      +1 -3      ports/lang/ocaml/Makefile
  1.3       +0 -13     ports/lang/ocaml/files/man1 (dead)
  1.1       +98 -0     ports/lang/ocaml/files/manfiles (new)
  1.3       +0 -4      ports/lang/ocaml/files/manlinks (dead)
  1.3       +0 -82     ports/lang/ocaml/files/mann (dead)
  1.1       +11 -0     ports/lang/ocaml/files/patch-Makefile (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Michael Scheidell freebsd_committer 2011-12-29 20:34:02 UTC
State Changed
From-To: feedback->closed

Committed with changes (.include manpages, do not MANN!=)  
Thanks.